Skip to main content

📂 List Files

All uploaded Walrus files can be viewed using the given API, the results are paginated with 2000 records in one page.

API​

curl -H 'Authorization: Bearer API_KEY' 'https://api.lighthouse.storage/api/user/files_uploaded?fileType=walrus'

Sample response:

{
"fileList": [
{
"updatedAt": 1700000000000,
"id": "00000000-0000-0000-0000-000000000001",
"fileSizeInBytes": 1048576,
"publicKey": "0xYOUR_SUI_ADDRESS",
"cid": "bafkrei...example1",
"encryption": false,
"mimeType": "image/png",
"dataPartition": "01/01/2026",
"fileName": "example-1.png",
"walrusFileSizeInBytes": 67108864,
"blockStatus": "pending",
"createdAt": 1700000000000
},
{
"updatedAt": 1700000100000,
"id": "00000000-0000-0000-0000-000000000002",
"fileSizeInBytes": 524288,
"publicKey": "0xYOUR_SUI_ADDRESS",
"cid": "bafkrei...example2",
"encryption": false,
"mimeType": "application/pdf",
"dataPartition": "01/01/2026",
"fileName": "example-2.pdf",
"walrusFileSizeInBytes": 33554432,
"blockStatus": "pending",
"createdAt": 1700000100000
}
],
"totalFiles": 2
}

Note: To navigate to different pages of results, pass the id of the last object from the previous response as the lastKey parameter. This will fetch the next set of records starting from the given lastKey.

curl -H 'Authorization: Bearer API_KEY' 'https://api.lighthouse.storage/api/user/files_uploaded?fileType=walrus&lastKey=00000000-0000-0000-0000-000000000002'